[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [debian-knoppix] apt: .. 287 not upgraded !!!

On Sat, Dec 20, 2003 at 11:33:40PM +0100, Matthias Braeunig wrote:
> Hi
> after some apt-get installs the database is confused. (I said no at the 
> Y/n prompt when apt wanted to remove 130 kde packages, which was 
> nonsense obviously)
> I heard several people had the same problem.
> How do I get back to the database state where I was?
> (the former /var/cache/apt/status-old is not available anymore)
> I don't want neither to upgrade nor remove anything.

Ahemm... You know, there ARE documentations about the Debian software
archive concepts, much more than I could write in a small mail. I am not
an "RTFM" person usually, but I would recommend that you read about the
meaning of the "-t unstable" option of apt-get, and reconsider if you
really want to "downgrade" every package to "testing", since you
apparently attempted to do this.

Also, please run apt-get update for updateing the package database.

-Klaus Knopper
debian-knoppix mailing list

Reply to: